Page MenuHomePhabricator

Disable jgit gc on gerrit
Closed, ResolvedPublic

Description

jgit gc should be disabled due to this bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=544199

Discussion started at https://groups.google.com/forum/#!topic/repo-discuss/v-2YGmmeKE4

Due to the severity of the bug this task is high priority to prevent gerrit going down.

This should be reenabled once the bug is fixed.

Details

Related Gerrit Patches:
operations/puppet : productiongerrit: Disable jgit gc

Event Timeline

Paladox created this task.Mar 2 2019, 10:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2019, 10:36 PM
Paladox triaged this task as High priority.Mar 2 2019, 10:36 PM

Change 493963 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] gerrit: Disable jgit gc

https://gerrit.wikimedia.org/r/493963

Paladox updated the task description. (Show Details)Mar 2 2019, 10:43 PM
Dzahn added a subscriber: Dzahn.Mar 4 2019, 9:04 AM

Change 493963 merged by Dzahn:
[operations/puppet@production] gerrit: Disable jgit gc

https://gerrit.wikimedia.org/r/493963

Dzahn added a comment.Mar 5 2019, 9:06 AM

deployed and service restarted. should be disabled now.

Dzahn closed this task as Resolved.Mar 5 2019, 9:06 AM
Dzahn claimed this task.

Just noting that a second bug has been identified in jgit gc.

Mentioned in SAL (#wikimedia-operations) [2019-11-05T00:15:43Z] <mutante> gerrit - restarting service to re-enable jgit gc (T217497)